# 
# $Id$
# 
# [ Description ]
# 
# Makefile
# 
# DIR_MORPHEO must be defined

Load_store_unit			= yes

ifndef Behavioural
include 			$(DIR_MORPHEO)/Behavioural/Makefile.deps
endif
ifndef Queue_Control
include 			$(DIR_MORPHEO)/Behavioural/Generic/Queue_Control/Makefile.deps
endif

#-----[ Library ]------------------------------------------
Load_store_unit_LIBRARY		= 	-lLoad_store_unit	\
					$(Queue_Control_LIBRARY)\
					$(Behavioural_LIBRARY)	

Load_store_unit_DIR_LIBRARY	=	-L$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit/lib	\
					$(Queue_Control_DIR_LIBRARY)\
					$(Behavioural_DIR_LIBRARY)

#-----[ Rules ]--------------------------------------------

Load_store_unit_library		: 
				@\
				$(MAKE) Queue_Control_library; \
				$(MAKE) Behavioural_library; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit --makefile=Makefile;
	
Load_store_unit_library_clean	: 
				@\
				$(MAKE) Queue_Control_library_clean; \
				$(MAKE) Behavioural_library_clean; \
				$(MAKE) --directory=$(DIR_MORPHEO)/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Execute_unit/Execute_unit/Load_store_unit --makefile=Makefile clean;
